AO-FLASH-STM(1)

NAME
ao-flash-stm - flash a program to an STM32-based AltOS device using st-flash

SYNOPSIS
ao-flash-stm file.elf

DESCRIPTION
ao-flash-stm loads the specified .elf file into the target device flash memory.

USAGE
ao-flash-stm converts the specified .elf file into a raw binary file and then uses st-flash to load it into the target device via a connected STlink debugging dongle. If st-flash is not available, ao-flash-stm will emit an error message and terminate.

SEE ALSO
st-flash(1)

AUTHOR
Keith Packard